%define upstream_name    Net-IP-Minimal
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Minimal functions from Net::IP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

%description
the Net::IP manpage is very feature complete, but I found I was only using
three of its functions and it uses quite a bit of memory the
https://rt.cpan.org/Public/Bug/Display.html?id=24525 manpage.

This module only provides the minimal number of functions that I use in my
modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 513498
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 370650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 342436
- update to 0.06

* Mon Sep 17 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 295015
- update to 0.04

* Tue Mar 06 2012 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 219694
- imported package perl-Net-IP-Minimal


* Tue Mar 06 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
